Retrieve info about a user

GET https://{controlplane_path}/api/1/rest/public/users/{email}

Retrieves the user account associated with the specified email address. Environment admins can also view details of single users or download information about all user accounts from Admin Manager.

Prerequisites

  • Environment (Org) admin permissions

Path parameters

Key Description
email Required. The email address of the user.

Query parameters

None.

Request header

Basic authentication

To use basic authentication, specify Basic for authorization in the request header, add your credentials (email and password for your SnapLogic user or service account), and specify application/json for content type. For example:


Authorization: Basic {base64_encoded <email>:<password>}
Content-Type: application/json
          

Example of basic authentication using Postman:

Learn more about the basic authentication header in REST API requests.

JWT authentication

When using JWT authentication, the API request includes specific headers. In the request header, specify Bearer Token for authorization, add the token, and specify application/json for content type. These headers are automatically added when you configure bearer token authentication in your API client. The authorization header contains the word Bearer followed by a space and your JWT.


Authorization: Bearer Token {token}
Content-Type: application/json
          

Example of JWT authentication using Postman:

Request body

None.

Note: The results include only the user information that you have permissions to view.

Response

 {
  "email": "...",
  "first_name": "...",
  "last_name": "...",
  "allow_password_login": true,
  "organizations": [
    {
      "id": "...",
      "name": "...",
      "administrator": true
    },
    ...
  ],
  "created_by": "...",
  "password_expired": false,
  "ui_access": true,
  "password_last_updated": "...",
  "user_locked_out": false,
  "service_account": false,
  "failed_logins": ...,
  "basic_access": "..."",
  "maintainers": {
    "/": []
  },
  "managed": false
}
Key Type Description
last_name string The last name of the user.
first_name string The first name of the user.
password_last_updated string When the user's password was last changed. Format: UTC
password_expired Boolean If true, the user's password is expired.
allow_password_login Boolean If true, the user is allowed to log in with a password.
organizations array An array of objects containing information about the Environments/Orgs that the user belongs to. Each object contains name and id of the environment (Org) and a Boolean (administrator) that indicates whether the user is assigned the administrator role in the Environment/Org.
basic_access string Format: UTC
ui_access Boolean If true, the user can use the SnapLogic UI.
user_locked_out Boolean If true, the user is denied access to the Snaplex.
service_account Boolean If true, the user has a service account.
failed_logins integer The number of login attempts that failed.
email string The user's email address.
maintainers list A list of email addresses that receive the reset password link for a managed account.
managed Boolean If true, the user is a Team account managed by maintainers.
created_by string Email address of the user who created the account.

Example

Response

 {
  "email": "[email protected]",
  "first_name": "test",
  "last_name": "user",
  "allow_password_login": true,
  "organizations": [
    {
      "id": "test",
      "name": "test",
      "administrator": false
    }
  ],
  "created_by": "[email protected]",
  "password_expired": false,
  "ui_access": true,
  "password_last_updated": "test",
  "user_locked_out": false,
  "service_account": false,
  "failed_logins": 2,
  "basic_access": "test",
  "maintainers": {
    "/": []
  },
  "managed": false
}